package com.imdroid.beidou.controller;

import com.imdroid.beidou.auth.SessionUtils;
import org.springframework.ui.Model;

import javax.servlet.http.HttpSession;

/**
 * 利用HTTP Session保存会话期的用户信息，并发送到页面，用于显示控制
 */
public class BasicController {
    public static int QUERY_ALL = -1;
    int tenantId;
    String loginRole;

    public void initModel(Model m, HttpSession session)
    {
        loginRole = (String) session.getAttribute(SessionUtils.SESSION_ROLE);
        tenantId = (int) session.getAttribute(SessionUtils.SESSION_TENANT_ID);
        m.addAttribute(SessionUtils.SESSION_CURRENT_USER, session.getAttribute(SessionUtils.SESSION_CURRENT_USER));
        m.addAttribute(SessionUtils.SESSION_ROLE, loginRole);
        m.addAttribute(SessionUtils.SESSION_TENANT_ID, tenantId);
        m.addAttribute(SessionUtils.SESSION_TENANT_NAME, session.getAttribute(SessionUtils.SESSION_TENANT_NAME));
    }

    public Integer getTenantId(HttpSession session){
        return (Integer) session.getAttribute(SessionUtils.SESSION_TENANT_ID);
    }
}
